upgrade 3.0.9 to 3.1.7

Reports about issues that you encounter in Suffusion. This forum is closed with effect from February 2019. Please post future requests on https://github.com/sayontan/suffusion.
Forum rules
This forum is being officially closed with effect from 3rd February 2019. Future support requests can be posted on the GitHub page at https://github.com/sayontan/suffusion/issues.
sajolene
Posts: 4
Joined: 14 Jan 2010, 05:25

upgrade 3.0.9 to 3.1.7

Post by sajolene » 14 Jan 2010, 05:29

hi,

firstly I would like to thank you for your great theme on wordpress...wonderful! then, I just did upgrade form 3.0.9 to 3.1.7 and now the theme doesn't work properly!!!! don't know what to do... am quite an amateur...the page where one can make theme adjustments won't open properly and an error message is at the top of my website.... can you help please!!!
thanks, jo

Warning: is_dir() [function.is-dir]: open_basedir restriction in effect. File(..) is not within the allowed path(s): (/home/.sites/46/site1478/web:/home/.sites/46/site1478/tmp:/usr/share/pear) in /home/.sites/46/site1478/web/wp-content/themes/suffusion/widgets/suffusion-subscription.php on line 24

this is what has appeared at the top of the site...

the website is www.siedlerjewellery.at
Last edited by sajolene on 14 Jan 2010, 05:31, edited 1 time in total.

sayontan
Site Admin
Posts: 10210
Joined: 15 Sep 2009, 16:39
Location: Houston, Texas
Contact:

Re: upgrade 3.0.9 to 3.1.7

Post by sayontan » 14 Jan 2010, 05:30

What is your URL? What is the error message?

sajolene
Posts: 4
Joined: 14 Jan 2010, 05:25

Re: upgrade 3.0.9 to 3.1.7

Post by sajolene » 14 Jan 2010, 05:33

sorry edited the message...with url and message

sajolene
Posts: 4
Joined: 14 Jan 2010, 05:25

Re: upgrade 3.0.9 to 3.1.7

Post by sajolene » 14 Jan 2010, 05:42

does it make any sense?

sayontan
Site Admin
Posts: 10210
Joined: 15 Sep 2009, 16:39
Location: Houston, Texas
Contact:

Re: upgrade 3.0.9 to 3.1.7

Post by sayontan » 14 Jan 2010, 05:44

See this: http://www.dzuchara.com/wordpress-upgrade-bug-fix. You might want to put this in your wp-config.php file (available in your WordPress installation folder):

Code: Select all

define ('WP_TEMP_DIR', '/home/.sites/46/site1478/tmp');
Let me know if it works.

sayontan
Site Admin
Posts: 10210
Joined: 15 Sep 2009, 16:39
Location: Houston, Texas
Contact:

Re: upgrade 3.0.9 to 3.1.7

Post by sayontan » 14 Jan 2010, 05:50


sajolene
Posts: 4
Joined: 14 Jan 2010, 05:25

Re: upgrade 3.0.9 to 3.1.7

Post by sajolene » 14 Jan 2010, 07:09

sorry but this really bugs me, it still isn't working, and if this is to do with my host it means I have to change the theme...and I don't want to!!!!!

User avatar
Connie
Posts: 1169
Joined: 10 Nov 2009, 04:53
Contact:

Re: upgrade 3.0.9 to 3.1.7

Post by Connie » 14 Jan 2010, 07:16

I think every hoster has a support-team and you pay for that
Most of the hosters have great supporters!

So do ask them to help you out or you can tell them to change the hoster.

They cannot demand to change the theme. Suffusion is running on hundreds, if not thousands of websites well and standard-compliant.

sayontan
Site Admin
Posts: 10210
Joined: 15 Sep 2009, 16:39
Location: Houston, Texas
Contact:

Re: upgrade 3.0.9 to 3.1.7

Post by sayontan » 14 Jan 2010, 07:25

Did you try defining the WP_TEMP_DIR fix?

Here is a patch. You can comment out these lines in suffusion-widgets.php:

1. include_once (TEMPLATEPATH . '/widgets/suffusion-subscription.php');
2. register_widget("Suffusion_Subscription");

Mind you, this is a problem with your host, so I will not be fixing this problem at my end, unless a more generic fix is available. You will have to apply this patch everytime you upgrade.

dzuchara
Posts: 29
Joined: 31 Dec 2009, 14:43
Contact:

Re: upgrade 3.0.9 to 3.1.7

Post by dzuchara » 27 Jan 2010, 03:24

Hello!

Thank you for referring on my fix, but in this case it didn't work even for me... I also had this problem with suffusion-subscription.php

Maybe somebody still has it or something like this... I fixed it just by commenting line 24 and 32...
So suffusion-subscription.php look like:

Code: Select all

            //if (!is_dir($icon)) {
                $icon_type = substr($icon, 0, strpos($icon, '-'));
                $icon_type_suffixes = $this->icon_suffixes[$icon_type];
                if ($icon_type_suffixes == null || !is_array($icon_type_suffixes)) {
                    $icon_type_suffixes = array();
                }
                $icon_type_suffixes[] = substr($icon, strpos($icon, '-') + 1, strpos($icon, '.') - strpos($icon, '-') - 1);
                $this->icon_suffixes[$icon_type] = $icon_type_suffixes;
            //}
for me...

I know it is a bad "fix" BUT anyway...

Locked